devguard
Record categoriesId

Update a record category by id.

PATCH
/record-categories/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/record-categories/string/" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "slug": "string",  "description": "string",  "color": "string",  "order": -9007199254740991,  "organizationId": "string",  "ownerId": "string",  "defaultTemplateId": "string",  "allowPortalSubmission": true,  "frequency": "MONTHLY",  "createdAt": "string",  "updatedAt": "string",  "archivedAt": "string"}

How is this guide?